board/boundarydevices: rename folder and update readme
authorGary Bisson <gary.bisson@boundarydevices.com>
Thu, 3 Mar 2016 14:57:18 +0000 (15:57 +0100)
committerPeter Korsgaard <peter@korsgaard.com>
Thu, 3 Mar 2016 16:42:14 +0000 (17:42 +0100)
It didn't make sense to keep the U-Boot scripts and post build/image
scripts under the nitrogen6x folder since they apply for all our
platforms.

Also update the readme.txt to make it clearer which defconfig should
be used depending on the platform targeted.

Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
15 files changed:
board/boundarydevices/common/6x_bootscript.txt [new file with mode: 0644]
board/boundarydevices/common/6x_upgrade.txt [new file with mode: 0644]
board/boundarydevices/common/genimage.cfg [new file with mode: 0644]
board/boundarydevices/common/post-build.sh [new file with mode: 0755]
board/boundarydevices/common/post-image.sh [new file with mode: 0755]
board/boundarydevices/common/readme.txt [new file with mode: 0644]
board/boundarydevices/nitrogen6x/6x_bootscript.txt [deleted file]
board/boundarydevices/nitrogen6x/6x_upgrade.txt [deleted file]
board/boundarydevices/nitrogen6x/genimage.cfg [deleted file]
board/boundarydevices/nitrogen6x/post-build.sh [deleted file]
board/boundarydevices/nitrogen6x/post-image.sh [deleted file]
board/boundarydevices/nitrogen6x/readme.txt [deleted file]
configs/nitrogen6sx_defconfig
configs/nitrogen6x_defconfig
configs/nitrogen7_defconfig

diff --git a/board/boundarydevices/common/6x_bootscript.txt b/board/boundarydevices/common/6x_bootscript.txt
new file mode 100644 (file)
index 0000000..e8a08aa
--- /dev/null
@@ -0,0 +1,132 @@
+setenv bootargs ''
+
+if itest.s x6SX == "x${cpu}" || itest.s x7D == "x${cpu}"; then
+       a_script=0x80800000
+       a_zImage=0x80800000
+       a_fdt=0x83000000
+       m4=''
+       if itest.s "x1" == "x$m4enabled" ; then
+               run m4boot;
+               m4='-m4';
+       fi
+else
+       a_script=0x10800000
+       a_zImage=0x10800000
+       a_fdt=0x13000000
+fi
+
+setenv initrd_high 0xffffffff
+if itest.s "x" == "x${dtbname}" ; then
+       if itest.s x6SOLO == "x${cpu}" ; then
+               dtbname=imx6dl-${board}.dtb;
+       elif itest.s x6DL == "x${cpu}" ; then
+               dtbname=imx6dl-${board}.dtb;
+       elif itest.s x6QP == "x${cpu}" ; then
+               dtbname=imx6qp-${board}.dtb;
+       elif itest.s x6SX == "x${cpu}" ; then
+               dtbname=imx6sx-${board}${m4}.dtb;
+       elif itest.s x7D == "x${cpu}" ; then
+               dtbname=imx7d-${board}${m4}.dtb;
+       else
+               dtbname=imx6q-${board}.dtb;
+       fi
+fi
+
+if load ${dtype} ${disk}:1 ${a_script} uEnv.txt ; then
+    env import -t ${a_script} ${filesize}
+fi
+
+if itest.s x == x${bootdir} ; then
+       bootdir=/boot/
+fi
+
+if itest.s x${bootpart} == x ; then
+       bootpart=1
+fi
+
+if load ${dtype} ${disk}:${bootpart} ${a_fdt} ${bootdir}${dtbname} ; then
+       fdt addr ${a_fdt}
+       setenv fdt_high 0xffffffff
+else
+       echo "!!!! Error loading ${bootdir}${dtbname}";
+       exit;
+fi
+
+cmd_xxx_present=
+fdt resize
+if itest.s "x" != "x${cmd_custom}" ; then
+       run cmd_custom
+       cmd_xxx_present=1;
+fi
+
+if itest.s "x" != "x${cmd_hdmi}" ; then
+       run cmd_hdmi
+       cmd_xxx_present=1;
+       if itest.s x == x${allow_noncea} ; then
+               setenv bootargs ${bootargs} mxc_hdmi.only_cea=1;
+               echo "only CEA modes allowed on HDMI port";
+       else
+               setenv bootargs ${bootargs} mxc_hdmi.only_cea=0;
+               echo "non-CEA modes allowed on HDMI, audio may be affected";
+       fi
+fi
+
+if itest.s "x" != "x${cmd_lcd}" ; then
+       run cmd_lcd
+       cmd_xxx_present=1;
+fi
+if itest.s "x" != "x${cmd_lvds}" ; then
+       run cmd_lvds
+       cmd_xxx_present=1;
+fi
+if itest.s "x" != "x${cmd_lvds2}" ; then
+       run cmd_lvds2
+       cmd_xxx_present=1;
+fi
+
+if itest.s "x" == "x${cmd_xxx_present}" ; then
+       echo "!!!!!!!!!!!!!!!!"
+       echo "warning: your u-boot may be outdated, please upgrade"
+       echo "!!!!!!!!!!!!!!!!"
+fi
+
+setenv bootargs "${bootargs} console=${console},115200 vmalloc=400M consoleblank=0 rootwait fixrtc"
+
+bpart=1
+
+if test "sata" = "${dtype}" ; then
+       setenv bootargs "${bootargs} root=/dev/sda${bpart}" ;
+elif test "usb" = "${dtype}" ; then
+       setenv bootargs "${bootargs} root=/dev/sda${bpart}" ;
+else
+       setenv bootargs "${bootargs} root=/dev/mmcblk${disk}p${bpart}"
+fi
+
+if itest.s "x" != "x${disable_giga}" ; then
+       setenv bootargs ${bootargs} fec.disable_giga=1
+fi
+
+if itest.s "x" != "x${wlmac}" ; then
+       setenv bootargs ${bootargs} wlcore.mac=${wlmac}
+fi
+
+if itest.s "x" != "x${gpumem}" ; then
+       setenv bootargs ${bootargs} galcore.contiguousSize=${gpumem}
+fi
+
+if itest.s "x" != "x${cma}" ; then
+       setenv bootargs ${bootargs} cma=${cma}
+fi
+
+if itest.s "x" != "x${show_fdt}" ; then
+       fdt print /
+fi
+
+if itest.s "x" != "x${show_env}" ; then
+       printenv
+fi
+
+if load ${dtype} ${disk}:${bootpart} ${a_zImage} ${bootdir}/zImage ; then
+       bootz ${a_zImage} - ${a_fdt}
+fi
+echo "Error loading kernel image"
diff --git a/board/boundarydevices/common/6x_upgrade.txt b/board/boundarydevices/common/6x_upgrade.txt
new file mode 100644 (file)
index 0000000..e012ff9
--- /dev/null
@@ -0,0 +1,69 @@
+if itest.s a$uboot_defconfig == a; then
+        echo "Please set uboot_defconfig to the appropriate value"
+        exit
+fi
+
+offset=0x400
+a_uImage1=0x12000000
+a_uImage2=0x12400000
+
+if itest.s x6SX == "x${cpu}" || itest.s x7D == "x${cpu}"; then
+       a_uImage1=0x82000000
+       a_uImage2=0x82400000
+fi
+
+setenv stdout serial,vga
+echo "check U-Boot" ;
+
+if load ${dtype} ${disk}:1 ${a_uImage1} u-boot.$uboot_defconfig ; then
+else
+       echo "No U-Boot image found on SD card" ;
+       exit
+fi
+echo "read $filesize bytes from SD card" ;
+if sf probe || sf probe || sf probe 1 27000000 || sf probe 1 27000000 ; then
+       echo "probed SPI ROM" ;
+else
+       echo "Error initializing EEPROM" ;
+       exit
+fi ;
+if sf read ${a_uImage2} $offset $filesize ; then
+else
+       echo "Error reading boot loader from EEPROM" ;
+       exit
+fi
+if cmp.b ${a_uImage1} ${a_uImage2} $filesize ; then
+       echo "------- U-Boot versions match" ;
+       exit
+fi
+echo "Need U-Boot upgrade" ;
+echo "Program in 5 seconds" ;
+for n in 5 4 3 2 1 ; do
+       echo $n ;
+       sleep 1 ;
+done
+echo "erasing" ;
+sf erase 0 0xC0000 ;
+
+# two steps to prevent bricking
+echo "programming" ;
+setexpr a1 ${a_uImage1} + 0x400
+setexpr o1 ${offset} + 0x400
+setexpr s1 ${filesize} - 0x400
+sf write ${a1} ${o1} ${s1} ;
+sf write ${a_uImage1} $offset 0x400 ;
+
+echo "verifying" ;
+if sf read ${a_uImage2} $offset $filesize ; then
+else
+       echo "Error re-reading EEPROM" ;
+       exit
+fi
+if cmp.b ${a_uImage1} ${a_uImage2} $filesize ; then
+else
+       echo "Read verification error" ;
+       exit
+fi
+while echo "---- U-Boot upgraded. reset" ; do
+       sleep 120
+done
diff --git a/board/boundarydevices/common/genimage.cfg b/board/boundarydevices/common/genimage.cfg
new file mode 100644 (file)
index 0000000..7a5e71e
--- /dev/null
@@ -0,0 +1,16 @@
+image sdcard.img {
+       hdimage {
+       }
+
+       partition u-boot {
+               in-partition-table = "no"
+               image = "u-boot.imx"
+               offset = 1024
+       }
+
+       partition rootfs {
+               partition-type = 0x83
+               image = "rootfs.ext4"
+               size = 512M
+       }
+}
diff --git a/board/boundarydevices/common/post-build.sh b/board/boundarydevices/common/post-build.sh
new file mode 100755 (executable)
index 0000000..f68fa0e
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+# post-build fixups
+# for further details, see
+#
+#  http://boundarydevices.com/u-boot-on-i-mx6/
+#
+
+BOARD_DIR="$(dirname $0)"
+
+# bd u-boot looks for bootscript here
+$HOST_DIR/usr/bin/mkimage -A arm -O linux -T script -C none -a 0 -e 0 \
+-n "boot script" -d $BOARD_DIR/6x_bootscript.txt $TARGET_DIR/6x_bootscript
+
+# u-boot / update script for bd upgradeu command
+if [ -e $BINARIES_DIR/u-boot.imx ];
+then
+    install -D -m 0644 $BINARIES_DIR/u-boot.imx $TARGET_DIR/u-boot.imx
+    $HOST_DIR/usr/bin/mkimage -A arm -O linux -T script -C none -a 0 -e 0 \
+    -n "upgrade script" -d $BOARD_DIR/6x_upgrade.txt $TARGET_DIR/6x_upgrade
+fi
diff --git a/board/boundarydevices/common/post-image.sh b/board/boundarydevices/common/post-image.sh
new file mode 100755 (executable)
index 0000000..9cca1b1
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage                           \
+       --rootpath "${TARGET_DIR}"     \
+       --tmppath "${GENIMAGE_TMP}"    \
+       --inputpath "${BINARIES_DIR}"  \
+       --outputpath "${BINARIES_DIR}" \
+       --config "${GENIMAGE_CFG}"
+
+exit $?
diff --git a/board/boundarydevices/common/readme.txt b/board/boundarydevices/common/readme.txt
new file mode 100644 (file)
index 0000000..0625dee
--- /dev/null
@@ -0,0 +1,30 @@
+Buildroot for Boundary Devices platforms:
+
+https://boundarydevices.com/product-category/popular-sbc-and-som-modules/
+
+Here is the list of targeted platforms per defconfig:
+
+- nitrogen6x_defconfig
+  - BD-SL-i.MX6 (SABRE-Lite)
+  - Nitrogen6X
+  - Nitrogen6_Lite
+  - Nitrogen6_MAX
+  - Nitrogen6_VM
+  - Nitrogen6_SOM
+  - Nitrogen6_SOMv2
+
+- nitrogen6sx_defconfig
+  - Nitrogen6_SoloX
+
+- nitrogen7_defconfig
+  - Nitrogen7
+
+To install, simply copy the image to a uSD card:
+
+$ sudo dd if=output/images/sdcard.img of=/dev/sdX
+
+Where 'sdX' is the device node of the uSD partition.
+
+To upgrade u-boot, cancel autoboot and type:
+
+> run upgradeu
diff --git a/board/boundarydevices/nitrogen6x/6x_bootscript.txt b/board/boundarydevices/nitrogen6x/6x_bootscript.txt
deleted file mode 100644 (file)
index e8a08aa..0000000
+++ /dev/null
@@ -1,132 +0,0 @@
-setenv bootargs ''
-
-if itest.s x6SX == "x${cpu}" || itest.s x7D == "x${cpu}"; then
-       a_script=0x80800000
-       a_zImage=0x80800000
-       a_fdt=0x83000000
-       m4=''
-       if itest.s "x1" == "x$m4enabled" ; then
-               run m4boot;
-               m4='-m4';
-       fi
-else
-       a_script=0x10800000
-       a_zImage=0x10800000
-       a_fdt=0x13000000
-fi
-
-setenv initrd_high 0xffffffff
-if itest.s "x" == "x${dtbname}" ; then
-       if itest.s x6SOLO == "x${cpu}" ; then
-               dtbname=imx6dl-${board}.dtb;
-       elif itest.s x6DL == "x${cpu}" ; then
-               dtbname=imx6dl-${board}.dtb;
-       elif itest.s x6QP == "x${cpu}" ; then
-               dtbname=imx6qp-${board}.dtb;
-       elif itest.s x6SX == "x${cpu}" ; then
-               dtbname=imx6sx-${board}${m4}.dtb;
-       elif itest.s x7D == "x${cpu}" ; then
-               dtbname=imx7d-${board}${m4}.dtb;
-       else
-               dtbname=imx6q-${board}.dtb;
-       fi
-fi
-
-if load ${dtype} ${disk}:1 ${a_script} uEnv.txt ; then
-    env import -t ${a_script} ${filesize}
-fi
-
-if itest.s x == x${bootdir} ; then
-       bootdir=/boot/
-fi
-
-if itest.s x${bootpart} == x ; then
-       bootpart=1
-fi
-
-if load ${dtype} ${disk}:${bootpart} ${a_fdt} ${bootdir}${dtbname} ; then
-       fdt addr ${a_fdt}
-       setenv fdt_high 0xffffffff
-else
-       echo "!!!! Error loading ${bootdir}${dtbname}";
-       exit;
-fi
-
-cmd_xxx_present=
-fdt resize
-if itest.s "x" != "x${cmd_custom}" ; then
-       run cmd_custom
-       cmd_xxx_present=1;
-fi
-
-if itest.s "x" != "x${cmd_hdmi}" ; then
-       run cmd_hdmi
-       cmd_xxx_present=1;
-       if itest.s x == x${allow_noncea} ; then
-               setenv bootargs ${bootargs} mxc_hdmi.only_cea=1;
-               echo "only CEA modes allowed on HDMI port";
-       else
-               setenv bootargs ${bootargs} mxc_hdmi.only_cea=0;
-               echo "non-CEA modes allowed on HDMI, audio may be affected";
-       fi
-fi
-
-if itest.s "x" != "x${cmd_lcd}" ; then
-       run cmd_lcd
-       cmd_xxx_present=1;
-fi
-if itest.s "x" != "x${cmd_lvds}" ; then
-       run cmd_lvds
-       cmd_xxx_present=1;
-fi
-if itest.s "x" != "x${cmd_lvds2}" ; then
-       run cmd_lvds2
-       cmd_xxx_present=1;
-fi
-
-if itest.s "x" == "x${cmd_xxx_present}" ; then
-       echo "!!!!!!!!!!!!!!!!"
-       echo "warning: your u-boot may be outdated, please upgrade"
-       echo "!!!!!!!!!!!!!!!!"
-fi
-
-setenv bootargs "${bootargs} console=${console},115200 vmalloc=400M consoleblank=0 rootwait fixrtc"
-
-bpart=1
-
-if test "sata" = "${dtype}" ; then
-       setenv bootargs "${bootargs} root=/dev/sda${bpart}" ;
-elif test "usb" = "${dtype}" ; then
-       setenv bootargs "${bootargs} root=/dev/sda${bpart}" ;
-else
-       setenv bootargs "${bootargs} root=/dev/mmcblk${disk}p${bpart}"
-fi
-
-if itest.s "x" != "x${disable_giga}" ; then
-       setenv bootargs ${bootargs} fec.disable_giga=1
-fi
-
-if itest.s "x" != "x${wlmac}" ; then
-       setenv bootargs ${bootargs} wlcore.mac=${wlmac}
-fi
-
-if itest.s "x" != "x${gpumem}" ; then
-       setenv bootargs ${bootargs} galcore.contiguousSize=${gpumem}
-fi
-
-if itest.s "x" != "x${cma}" ; then
-       setenv bootargs ${bootargs} cma=${cma}
-fi
-
-if itest.s "x" != "x${show_fdt}" ; then
-       fdt print /
-fi
-
-if itest.s "x" != "x${show_env}" ; then
-       printenv
-fi
-
-if load ${dtype} ${disk}:${bootpart} ${a_zImage} ${bootdir}/zImage ; then
-       bootz ${a_zImage} - ${a_fdt}
-fi
-echo "Error loading kernel image"
diff --git a/board/boundarydevices/nitrogen6x/6x_upgrade.txt b/board/boundarydevices/nitrogen6x/6x_upgrade.txt
deleted file mode 100644 (file)
index e012ff9..0000000
+++ /dev/null
@@ -1,69 +0,0 @@
-if itest.s a$uboot_defconfig == a; then
-        echo "Please set uboot_defconfig to the appropriate value"
-        exit
-fi
-
-offset=0x400
-a_uImage1=0x12000000
-a_uImage2=0x12400000
-
-if itest.s x6SX == "x${cpu}" || itest.s x7D == "x${cpu}"; then
-       a_uImage1=0x82000000
-       a_uImage2=0x82400000
-fi
-
-setenv stdout serial,vga
-echo "check U-Boot" ;
-
-if load ${dtype} ${disk}:1 ${a_uImage1} u-boot.$uboot_defconfig ; then
-else
-       echo "No U-Boot image found on SD card" ;
-       exit
-fi
-echo "read $filesize bytes from SD card" ;
-if sf probe || sf probe || sf probe 1 27000000 || sf probe 1 27000000 ; then
-       echo "probed SPI ROM" ;
-else
-       echo "Error initializing EEPROM" ;
-       exit
-fi ;
-if sf read ${a_uImage2} $offset $filesize ; then
-else
-       echo "Error reading boot loader from EEPROM" ;
-       exit
-fi
-if cmp.b ${a_uImage1} ${a_uImage2} $filesize ; then
-       echo "------- U-Boot versions match" ;
-       exit
-fi
-echo "Need U-Boot upgrade" ;
-echo "Program in 5 seconds" ;
-for n in 5 4 3 2 1 ; do
-       echo $n ;
-       sleep 1 ;
-done
-echo "erasing" ;
-sf erase 0 0xC0000 ;
-
-# two steps to prevent bricking
-echo "programming" ;
-setexpr a1 ${a_uImage1} + 0x400
-setexpr o1 ${offset} + 0x400
-setexpr s1 ${filesize} - 0x400
-sf write ${a1} ${o1} ${s1} ;
-sf write ${a_uImage1} $offset 0x400 ;
-
-echo "verifying" ;
-if sf read ${a_uImage2} $offset $filesize ; then
-else
-       echo "Error re-reading EEPROM" ;
-       exit
-fi
-if cmp.b ${a_uImage1} ${a_uImage2} $filesize ; then
-else
-       echo "Read verification error" ;
-       exit
-fi
-while echo "---- U-Boot upgraded. reset" ; do
-       sleep 120
-done
diff --git a/board/boundarydevices/nitrogen6x/genimage.cfg b/board/boundarydevices/nitrogen6x/genimage.cfg
deleted file mode 100644 (file)
index 7a5e71e..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-image sdcard.img {
-       hdimage {
-       }
-
-       partition u-boot {
-               in-partition-table = "no"
-               image = "u-boot.imx"
-               offset = 1024
-       }
-
-       partition rootfs {
-               partition-type = 0x83
-               image = "rootfs.ext4"
-               size = 512M
-       }
-}
diff --git a/board/boundarydevices/nitrogen6x/post-build.sh b/board/boundarydevices/nitrogen6x/post-build.sh
deleted file mode 100755 (executable)
index f68fa0e..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-# post-build fixups
-# for further details, see
-#
-#  http://boundarydevices.com/u-boot-on-i-mx6/
-#
-
-BOARD_DIR="$(dirname $0)"
-
-# bd u-boot looks for bootscript here
-$HOST_DIR/usr/bin/mkimage -A arm -O linux -T script -C none -a 0 -e 0 \
--n "boot script" -d $BOARD_DIR/6x_bootscript.txt $TARGET_DIR/6x_bootscript
-
-# u-boot / update script for bd upgradeu command
-if [ -e $BINARIES_DIR/u-boot.imx ];
-then
-    install -D -m 0644 $BINARIES_DIR/u-boot.imx $TARGET_DIR/u-boot.imx
-    $HOST_DIR/usr/bin/mkimage -A arm -O linux -T script -C none -a 0 -e 0 \
-    -n "upgrade script" -d $BOARD_DIR/6x_upgrade.txt $TARGET_DIR/6x_upgrade
-fi
diff --git a/board/boundarydevices/nitrogen6x/post-image.sh b/board/boundarydevices/nitrogen6x/post-image.sh
deleted file mode 100755 (executable)
index 9cca1b1..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-BOARD_DIR="$(dirname $0)"
-GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
-GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
-
-rm -rf "${GENIMAGE_TMP}"
-
-genimage                           \
-       --rootpath "${TARGET_DIR}"     \
-       --tmppath "${GENIMAGE_TMP}"    \
-       --inputpath "${BINARIES_DIR}"  \
-       --outputpath "${BINARIES_DIR}" \
-       --config "${GENIMAGE_CFG}"
-
-exit $?
diff --git a/board/boundarydevices/nitrogen6x/readme.txt b/board/boundarydevices/nitrogen6x/readme.txt
deleted file mode 100644 (file)
index 6c723f1..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-Buildroot for Boundary Devices Nitrogen6X:
-
-http://boundarydevices.com/products/nitrogen6x-board-imx6-arm-cortex-a9-sbc/
-
-To install, simply copy the image to a uSD card:
-
-sudo dd if=output/images/sdcard.img of=/dev/sdX
-
-Where 'sdX' is the device node of the uSD partition.
-
-To upgrade u-boot, cancel autoboot and type:
-
-run upgradeu
index e69fafc956b039a217176bdf8740364a0e3679d1..fcc74c9ee63f72f51d5ce3a25f8dcceb796d2ff1 100644 (file)
@@ -5,8 +5,8 @@ BR2_cortex_a9=y
 # system
 BR2_TARGET_GENERIC_GETTY=y
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc0"
-BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/nitrogen6x/post-build.sh"
-BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/nitrogen6x/post-image.sh"
+BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/common/post-build.sh"
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/common/post-image.sh"
 BR2_PACKAGE_HOST_GENIMAGE=y
 BR2_PACKAGE_HOST_UBOOT_TOOLS=y
 
index d8da188cd9042209caa848a09146620d3764a590..7b95988339cdf11d1436ac8c936ef32b55e4593b 100644 (file)
@@ -5,8 +5,8 @@ BR2_cortex_a9=y
 # system
 BR2_TARGET_GENERIC_GETTY=y
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc1"
-BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/nitrogen6x/post-build.sh"
-BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/nitrogen6x/post-image.sh"
+BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/common/post-build.sh"
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/common/post-image.sh"
 BR2_PACKAGE_HOST_GENIMAGE=y
 BR2_PACKAGE_HOST_UBOOT_TOOLS=y
 
index 91529e82fc121c01be1dbb2a14c2487af438b3dc..d8c39752b4b04835db31e22a8f729eedabd51ced 100644 (file)
@@ -5,8 +5,8 @@ BR2_cortex_a7=y
 # system
 BR2_TARGET_GENERIC_GETTY=y
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc0"
-BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/nitrogen6x/post-build.sh"
-BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/nitrogen6x/post-image.sh"
+BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/common/post-build.sh"
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/common/post-image.sh"
 BR2_PACKAGE_HOST_GENIMAGE=y
 BR2_PACKAGE_HOST_UBOOT_TOOLS=y